Skip to main content
POST
/
team
/
statistics
/
geography
Get team geographic distribution statistics
curl --request POST \
  --url https://api.wirespeed.co/team/statistics/geography \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "startDate": "<string>",
  "endDate": "<string>",
  "days": 123
}
'
{
  "detectionLocations": [
    {
      "country": "<string>",
      "count": 123
    }
  ],
  "suspiciousLoginLocations": [
    {
      "country": "<string>",
      "count": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
startDate
string

Start date (inclusive, ISO8601 string)

endDate
string

End date (inclusive, ISO8601 string)

days
number

Number of days for time-based filtering (1-365). Required by most endpoints unless startDate/endDate provided.

Response

detectionLocations
object[]
required

Detection location statistics

suspiciousLoginLocations
object[]
required

Suspicious login location statistics